首页 > RedHat/CentOS操作系统 > CentOS6.4中yum命令安装php5.2.17

CentOS6.4中yum命令安装php5.2.17

2015年9月17日

CentOS6.4中yum命令安装php5.2.17
http://www.2cto.com/os/201403/282665.html
最近给公司部署服务器的时候发现他们提供的服务器是centos6.4系统的,装好系统和相关服务httpd,mysql,php,一跑代码,发现php5.3中的zend加密不能用,安装Zend Guard Loader后仍旧不能使用,才发现是程序中只支持Zend Optimizer解密。于是只得查找php5.2的版本。赶紧上网找一下,有没有yum安装php5.2的。

还真被我找到了。只好修改yum源。方法如下:

1.环境
centos6.4 x86_64

2.添加源
wget -q -O – http://www.atomicorp.com/installers/atomic | sh

3.排除php5.3的包,我们只需要php5.2.17

vim /etc/yum.conf

增加这一行:exclude=*5.3.*

4.安装

yum install php php-mysql php-xml php-gd php-mbstring php-cli

大功告成!

(注:我按照这个方法安装,结过装成了php5.4,不过庆幸的是原来目录读写权限错误解决了)

分类: RedHat/CentOS操作系统 标签:
本文的评论功能被关闭了.